package objects;

import com.google.common.collect.ImmutableMap;

import java.util.Map;

/**
 * Created by gpietrus on 20.02.2016.
 */
public class Solution {
    private String taskId;
    private String teamId;

    public Solution(String teamId, String taskId) {
        this.teamId = teamId;
        this.taskId = taskId;
    }

    //todo: refactor mapping
    public Map<String, Object> toMap() {
        return ImmutableMap.<String, Object>builder()
                .put("teamId",teamId)
                .put("taskId", taskId)
                .build();
    }
}
